> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create BCC email archive configuration

POST https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/settings/bcc_email_archives
Content-Type: application/json

This method creates a BCC email archive configuration for an account (adds a BCC email address to the account for archiving the emails that Docusign generates).

The only property that you must set in the request body is the BCC email address that you want to use.

See [Email Archive Configuration﻿](https://support.docusign.com/s/document-item?language=en_US&bundleId=pik1583277475390&topicId=xjm1583277371373.html) for details and restrictions on creating or changing BCC email addresses.

**Note:** An account can have up to five active and pending email archive addresses combined, but you must use this method to add them to the account one at a time. Each email address is considered a separate BCC email archive configuration.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/emailarchive/bccemailarchive/create

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Body (application/json)

This endpoint expects a bccEmailArchive.

- `accountId` (string, optional) — The ID of the account that owns the BCC email archive configuration.
- `bccEmailArchiveId` (string, optional) — The ID of the BCC email archive configuration.
- `created` (string, optional) — The UTC DateTime when the BCC email archive configuration was created.
- `createdBy` (userInfo, optional)
- `email` (string, optional) — The BCC email address to use for archiving Docusign messages. Example: [customer_bcc@example.com](mailto:customer_bcc@example.com)
- `emailNotificationId` (string, optional) — The GUID of the activation email message sent to the BCC email address.
- `modified` (string, optional) — The UTC DateTime when the BCC email archive configuration was last modified.
- `modifiedBy` (userInfo, optional)
- `status` (string, optional) — The status of the BCC email address. Possible values are: - `activation_sent`: An activation link has been sent to the BCC email address. - `active`: The BCC email address is actively used for archiving. - `closed`: The BCC email address is no longer used for archiving.
- `uri` (string, optional) — The helper URI for retrieving the BCC email archive.

## Response

### 201

Successful response.

- `accountId` (string, optional) — The ID of the account that owns the BCC email archive configuration.
- `bccEmailArchiveId` (string, optional) — The ID of the BCC email archive configuration.
- `created` (string, optional) — The UTC DateTime when the BCC email archive configuration was created.
- `createdBy` (userInfo, optional)
- `email` (string, optional) — The BCC email address to use for archiving Docusign messages. Example: [customer_bcc@example.com](mailto:customer_bcc@example.com)
- `emailNotificationId` (string, optional) — The GUID of the activation email message sent to the BCC email address.
- `modified` (string, optional) — The UTC DateTime when the BCC email archive configuration was last modified.
- `modifiedBy` (userInfo, optional)
- `status` (string, optional) — The status of the BCC email address. Possible values are: - `activation_sent`: An activation link has been sent to the BCC email address. - `active`: The BCC email address is actively used for archiving. - `closed`: The BCC email address is no longer used for archiving.
- `uri` (string, optional) — The helper URI for retrieving the BCC email archive.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### userInfo

- `accountId` (string, optional) — The account ID associated with the envelope.
- `accountName` (string, optional) — The name on the account.
- `activationAccessCode` (string, optional) — Access code provided to the user to activate the account.
- `email` (string, optional) — The user's email address.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `ipAddress` (string, optional)
- `loginStatus` (string, optional) — When **true,** indicates that the user is logged in. This is a read-only property.
- `membershipId` (string, optional) — The user's membership ID.
- `sendActivationEmail` (string, optional) — This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following [these steps](/docs/admin-api/how-to/create-active-user/).
- `uri` (string, optional) — A URI containing the user ID.
- `userId` (string, optional) — The ID of the user to access.
- `userName` (string, optional) — The name of the user.
- `userStatus` (string, optional) — Status of the user's account. One of: - `ActivationRequired` - `ActivationSent` - `Active` - `Closed` - `Disabled`
- `userType` (string, optional) — The type of user, for example `CompanyUser`.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Request**

```json
{
  "bccEmailArchiveId": "sample string 2",
  "created": "sample string 3",
  "createdBy": {
    "accountId": "sample string 1",
    "accountName": "sample string 2",
    "activationAccessCode": "sample string 3",
    "email": "sample string 4",
    "errorDetails": {
      "errorCode": "sample string 1",
      "message": "sample string 2"
    },
    "ipAddress": "sample string 5",
    "loginStatus": "sample string 6",
    "membershipId": "sample string 7",
    "sendActivationEmail": "sample string 8",
    "uri": "sample string 9",
    "userId": "sample string 10",
    "userName": "sample string 11",
    "userStatus": "sample string 12",
    "userType": "sample string 13"
  },
  "email": "sample string 4",
  "emailNotificationId": "sample string 5",
  "modified": "sample string 6",
  "status": "sample string 7",
  "uri": "sample string 8"
}
```

**Response**

```json
{
  "accountId": "sample string 1",
  "bccEmailArchiveId": "sample string 2",
  "created": "sample string 3",
  "createdBy": {
    "accountId": "sample string 1",
    "accountName": "sample string 2",
    "activationAccessCode": "sample string 3",
    "email": "sample string 4",
    "errorDetails": {
      "errorCode": "sample string 1",
      "message": "sample string 2"
    },
    "ipAddress": "sample string 5",
    "loginStatus": "sample string 6",
    "membershipId": "sample string 7",
    "sendActivationEmail": "sample string 8",
    "uri": "sample string 9",
    "userId": "sample string 10",
    "userName": "sample string 11",
    "userStatus": "sample string 12",
    "userType": "sample string 13"
  },
  "email": "sample string 4",
  "emailNotificationId": "sample string 5",
  "modified": "sample string 6",
  "status": "sample string 7",
  "uri": "sample string 8"
}
```